#
# spec file for package python-tomlkit
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-tomlkit
Version:        0.8.0
Release:        150300.7.3.2
Summary:        Style preserving TOML library
License:        MIT
URL:            https://github.com/sdispater/tomlkit
Source:         https://files.pythonhosted.org/packages/source/t/tomlkit/tomlkit-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML >= 5.3.1}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module typing >= 3.6}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Style preserving TOML library

%prep
%setup -q -n tomlkit-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/tomlkit
%{python_sitelib}/tomlkit-%{version}-py*.egg-info

%changelog
* Thu Jan 20 2022 mcepl@suse.com
- Update to version 0.8.0:
  - Drop support for Python<3.6.
  - Comply with TOML v1.0.0.
  - And many bug fixes
* Mon Oct  5 2020 code@bnavigator.de
- Update to version 0.7.0
  * Added support for sorting keys when dumping raw
    dictionaries by passing sort_keys=True to dumps() (#103).
  * Keys are not longer sorted by default when dumping a raw
    dictionary but the original order will be preserved (#103).
  * Fixed compliance with the 1.0.0rc1 TOML specification (#102).
* Thu Jul 23 2020 mcalabkova@suse.com
- update to version 0.6.0
  * Added support for heterogeneous arrays
* Thu Mar 12 2020 tchvatal@suse.com
- Fix build without python2
* Wed Mar 11 2020 pgajdos@suse.com
- version update to 0.5.11
  * Fix containers and our of order tables dictionary behavior (#82))
  * Fixed out of order tables not behaving properly (#79)
  * Fixed the behavior for out of order tables (#68).
  * Fixed parsing errors when single quotes are present in a table name (#71).
  * Fixed parsing errors when parsing some table names (#76).
* Thu Nov 28 2019 mcepl@suse.com
- Update to 0.5.8:
  - Added support for producing multiline arrays
* Tue Oct  8 2019 tchvatal@suse.com
- Update to 0.5.7:
  * Fixed handling of inline tables.
  * Fixed boolean comparison.
  * Fixed appending inline tables to tables.
* Mon Jul 22 2019 tchvatal@suse.com
- Update to 0.5.5:
  * Fixed display of inline tables after element deletion.
  * Fixed the handling of inline tables.
  * Fixed date, datetime and time handling on Python 3.8.
  * Fixed behavior for sub table declaration with intermediate tables.
  * Fixed behavior of setdefault() on containers (Thanks to @AndyKluger).
  * Fixed tables string representation.
* Fri Mar  1 2019 jayvdb@gmail.com
- Initial spec for v0.5.3
